/* button silver */
.btn-silver {
    color: #fff;
    background-color: #a6a6a6; /* 65% */
    border-color: #999999   /* 60% */
}

.btn-silver.focus,
.btn-silver:focus {
    color: #fff;
    background-color: #8c8c8c; /* 55% */
    border-color: #595959   /* 35% */
}

.btn-silver.active,
.btn-silver:active,
.btn-silver:hover,
.open>.btn-silver.dropdown-toggle {
    color: #fff;
    background-color: #8c8c8c; /* 55% */
    border-color: #808080 /* 50% */
}

.btn-silver.active.focus,
.btn-silver.active:focus,
.btn-silver.active:hover,
.btn-silver:active.focus,
.btn-silver:active:focus,
.btn-silver:active:hover,
.open>.btn-silver.dropdown-toggle.focus,
.open>.btn-silver.dropdown-toggle:focus,
.open>.btn-silver.dropdown-toggle:hover {
    color: #fff;
    background-color: #8c8c8c; /* 50% */
    border-color: #595959 /* 35% */
}

.btn-silver.active,
.btn-silver:active,
.open>.btn-silver.dropdown-toggle {
    background-image: none
}

.btn-silver.disabled.focus,
.btn-silver.disabled:focus,
.btn-silver.disabled:hover,
.btn-silver[disabled].focus,
.btn-silver[disabled]:focus,
.btn-silver[disabled]:hover,
fieldset[disabled] .btn-silver.focus,
fieldset[disabled] .btn-silver:focus,
fieldset[disabled] .btn-silver:hover {
    background-color: #a6a6a6; /* 65% */
    border-color: #999999 /* 60% */
}

.btn-silver .badge {
    color: #a6a6a6; /* 65% */
    background-color: #fff
}

/* button pink */
.btn-pink {
    color: #fff;
    background-color: #ff4d6a; /* 65% */
    border-color: #ff3355   /* 60% */
}

.btn-pink.focus,
.btn-pink:focus {
    color: #fff;
    background-color: #ff1a40; /* 55% */
    border-color: #b3001e   /* 35% */
}

.btn-pink.active,
.btn-pink:active,
.btn-pink:hover,
.open>.btn-pink.dropdown-toggle {
    color: #fff;
    background-color: #ff1a40`; /* 55% */
    border-color: #ff002b /* 50% */
}

.btn-pink.active.focus,
.btn-pink.active:focus,
.btn-pink.active:hover,
.btn-pink:active.focus,
.btn-pink:active:focus,
.btn-pink:active:hover,
.open>.btn-pink.dropdown-toggle.focus,
.open>.btn-pink.dropdown-toggle:focus,
.open>.btn-pink.dropdown-toggle:hover {
    color: #fff;
    background-color: #ff002b`; /* 50% */
    border-color: #b3001e /* 35% */
}

.btn-pink.active,
.btn-pink:active,
.open>.btn-pink.dropdown-toggle {
    background-image: none
}

.btn-pink.disabled.focus,
.btn-pink.disabled:focus,
.btn-pink.disabled:hover,
.btn-pink[disabled].focus,
.btn-pink[disabled]:focus,
.btn-pink[disabled]:hover,
fieldset[disabled] .btn-pink.focus,
fieldset[disabled] .btn-pink:focus,
fieldset[disabled] .btn-pink:hover {
    background-color: #ff4d6a; /* 65% */
    border-color: #ff3355 /* 60% */
}

.btn-pink .badge {
    color: #ff4d6a; /* 65% */
    background-color: #fff
}

/* button cetak */
.btn-cetak {
    color: #fff;
    background-color: #79d279; /* 65% */
    border-color: #66cc66   /* 60% */
}

.btn-cetak.focus,
.btn-cetak:focus {
    color: #fff;
    background-color: #53c653; /* 55% */
    border-color: #2d862d   /* 35% */
}

.btn-cetak.active,
.btn-cetak:active,
.btn-cetak:hover,
.open>.btn-cetak.dropdown-toggle {
    color: #fff;
    background-color: #53c653; /* 55% */
    border-color: #40bf40/* 50% */
}

.btn-cetak.active.focus,
.btn-cetak.active:focus,
.btn-cetak.active:hover,
.btn-cetak:active.focus,
.btn-cetak:active:focus,
.btn-cetak:active:hover,
.open>.btn-cetak.dropdown-toggle.focus,
.open>.btn-cetak.dropdown-toggle:focus,
.open>.btn-cetak.dropdown-toggle:hover {
    color: #fff;
    background-color: #40bf40; /* 50% */
    border-color: #00b300 /* 35% */
}

.btn-cetak.active,
.btn-cetak:active,
.open>.btn-cetak.dropdown-toggle {
    background-image: none
}

.btn-cetak.disabled.focus,
.btn-cetak.disabled:focus,
.btn-cetak.disabled:hover,
.btn-cetak[disabled].focus,
.btn-cetak[disabled]:focus,
.btn-cetak[disabled]:hover,
fieldset[disabled] .btn-cetak.focus,
fieldset[disabled] .btn-cetak:focus,
fieldset[disabled] .btn-cetak:hover {
    background-color: #79d279; /* 65% */
    border-color: #66cc66 /* 60% */
}

.btn-cetak .badge {
    color: #79d279; /* 65% */
    background-color: #fff
}

/* button barcode */
.btn-barcode {
    color: #000000;
    background-color: #e6e600; /* 65% */
    border-color: #cccc00   /* 60% */
}

.btn-barcode.focus,
.btn-barcode:focus {
    color: #000000;
    background-color: #bfbf00; /* 55% */
    border-color: #b3b300   /* 35% */
}

.btn-barcode.active,
.btn-barcode:active,
.btn-barcode:hover,
.open>.btn-barcode.dropdown-toggle {
    color: #000000;
    background-color: #bfbf00; /* 55% */
    border-color: #b3b300/* 50% */
}

.btn-barcode.active.focus,
.btn-barcode.active:focus,
.btn-barcode.active:hover,
.btn-barcode:active.focus,
.btn-barcode:active:focus,
.btn-barcode:active:hover,
.open>.btn-barcode.dropdown-toggle.focus,
.open>.btn-barcode.dropdown-toggle:focus,
.open>.btn-barcode.dropdown-toggle:hover {
    color: #000000;
    background-color: #b3b300; /* 50% */
    border-color: #666600 /* 35% */
}

.btn-barcode.active,
.btn-barcode:active,
.open>.btn-barcode.dropdown-toggle {
    background-image: none
}

.btn-barcode.disabled.focus,
.btn-barcode.disabled:focus,
.btn-barcode.disabled:hover,
.btn-barcode[disabled].focus,
.btn-barcode[disabled]:focus,
.btn-barcode[disabled]:hover,
fieldset[disabled] .btn-barcode.focus,
fieldset[disabled] .btn-barcode:focus,
fieldset[disabled] .btn-barcode:hover {
    background-color: #e6e600; /* 65% */
    border-color: #cccc00 /* 60% */
}

.btn-barcode .badge {
    color: #000000; 
    background-color: #e6e600 /* 65% */
}

/* button piutang */
.btn-piutang {
    color: #ffffff;
    background-color: #ac7339; /* 65% */
    border-color: #996633   /* 60% */
}

.btn-piutang.focus,
.btn-piutang:focus {
    color: #ffffff;
    background-color: #86592d; /* 55% */
    border-color: #604020   /* 35% */
}

.btn-piutang.active,
.btn-piutang:active,
.btn-piutang:hover,
.open>.btn-piutang.dropdown-toggle {
    color: #ffffff;
    background-color: #86592d; /* 55% */
    border-color: #734d26/* 50% */
}

.btn-piutang.active.focus,
.btn-piutang.active:focus,
.btn-piutang.active:hover,
.btn-piutang:active.focus,
.btn-piutang:active:focus,
.btn-piutang:active:hover,
.open>.btn-piutang.dropdown-toggle.focus,
.open>.btn-piutang.dropdown-toggle:focus,
.open>.btn-piutang.dropdown-toggle:hover {
    color: #ffffff;
    background-color: #734d26; /* 50% */
    border-color: #604020 /* 35% */
}

.btn-piutang.active,
.btn-piutang:active,
.open>.btn-piutang.dropdown-toggle {
    background-image: none
}

.btn-piutang.disabled.focus,
.btn-piutang.disabled:focus,
.btn-piutang.disabled:hover,
.btn-piutang[disabled].focus,
.btn-piutang[disabled]:focus,
.btn-piutang[disabled]:hover,
fieldset[disabled] .btn-piutang.focus,
fieldset[disabled] .btn-piutang:focus,
fieldset[disabled] .btn-piutang:hover {
    background-color: #ac7339; /* 65% */
    border-color: #996633 /* 60% */
}

.btn-piutang .badge {
    color: #ffffff; 
    background-color: #ac7339 /* 65% */
}

/* button pemasok */
.btn-pemasok {
    color: #fff;
    background-color: #999966; /* 65% */
    border-color: #8a8a5c   /* 60% */
}

.btn-pemasok.focus,
.btn-pemasok:focus {
    color: #fff;
    background-color: #7a7a52; /* 55% */
    border-color: #5c5c3d   /* 35% */
}

.btn-pemasok.active,
.btn-pemasok:active,
.btn-pemasok:hover,
.open>.btn-pemasok.dropdown-toggle {
    color: #fff;
    background-color: #7a7a52; /* 55% */
    border-color: #6b6b47/* 50% */
}

.btn-pemasok.active.focus,
.btn-pemasok.active:focus,
.btn-pemasok.active:hover,
.btn-pemasok:active.focus,
.btn-pemasok:active:focus,
.btn-pemasok:active:hover,
.open>.btn-pemasok.dropdown-toggle.focus,
.open>.btn-pemasok.dropdown-toggle:focus,
.open>.btn-pemasok.dropdown-toggle:hover {
    color: #fff;
    background-color: #6b6b47; /* 50% */
    border-color: #5c5c3d /* 35% */
}

.btn-pemasok.active,
.btn-pemasok:active,
.open>.btn-pemasok.dropdown-toggle {
    background-image: none
}

.btn-pemasok.disabled.focus,
.btn-pemasok.disabled:focus,
.btn-pemasok.disabled:hover,
.btn-pemasok[disabled].focus,
.btn-pemasok[disabled]:focus,
.btn-pemasok[disabled]:hover,
fieldset[disabled] .btn-pemasok.focus,
fieldset[disabled] .btn-pemasok:focus,
fieldset[disabled] .btn-pemasok:hover {
    background-color: #999966; /* 65% */
    border-color: #8a8a5c /* 60% */
}

.btn-pemasok .badge {
    color: #fff; 
    background-color: #999966 /* 65% */
}

/* button BG */
.btn-BG {
    color: #fff;
    background-color: #9acd18; /* 65% */
    border-color: #89b715   /* 60% */
}

.btn-BG.focus,
.btn-BG:focus {
    color: #fff;
    background-color: #78a013; /* 55% */
    border-color: #678910   /* 35% */
}

.btn-BG.active,
.btn-BG:active,
.btn-BG:hover,
.open>.btn-BG.dropdown-toggle {
    color: #fff;
    background-color: #78a013; /* 55% */
    border-color: #56720d/* 50% */
}

.btn-BG.active.focus,
.btn-BG.active:focus,
.btn-BG.active:hover,
.btn-BG:active.focus,
.btn-BG:active:focus,
.btn-BG:active:hover,
.open>.btn-BG.dropdown-toggle.focus,
.open>.btn-BG.dropdown-toggle:focus,
.open>.btn-BG.dropdown-toggle:hover {
    color: #fff;
    background-color: #56720d; /* 50% */
    border-color: #678910 /* 35% */
}

.btn-BG.active,
.btn-BG:active,
.open>.btn-BG.dropdown-toggle {
    background-image: none
}

.btn-BG.disabled.focus,
.btn-BG.disabled:focus,
.btn-BG.disabled:hover,
.btn-BG[disabled].focus,
.btn-BG[disabled]:focus,
.btn-BG[disabled]:hover,
fieldset[disabled] .btn-BG.focus,
fieldset[disabled] .btn-BG:focus,
fieldset[disabled] .btn-BG:hover {
    background-color: #669999; /* 65% */
    border-color: #5c8a8a /* 60% */
}

.btn-BG .badge {
    color: #fff; 
    background-color: #669999 /* 65% */
}

/* button Sesuai */
.btn-Sesuai {
    color: #fff;
    background-color: #669999; /* 65% */
    border-color: #5c8a8a   /* 60% */
}

.btn-Sesuai.focus,
.btn-Sesuai:focus {
    color: #fff;
    background-color: #527a7a; /* 55% */
    border-color: #678910   /* 35% */
}

.btn-Sesuai.active,
.btn-Sesuai:active,
.btn-Sesuai:hover,
.open>.btn-Sesuai.dropdown-toggle {
    color: #fff;
    background-color: #527a7a; /* 55% */
    border-color: #476b6b/* 50% */
}

.btn-Sesuai.active.focus,
.btn-Sesuai.active:focus,
.btn-Sesuai.active:hover,
.btn-Sesuai:active.focus,
.btn-Sesuai:active:focus,
.btn-Sesuai:active:hover,
.open>.btn-Sesuai.dropdown-toggle.focus,
.open>.btn-Sesuai.dropdown-toggle:focus,
.open>.btn-Sesuai.dropdown-toggle:hover {
    color: #fff;
    background-color: #476b6b; /* 50% */
    border-color: #3d5c5c /* 35% */
}

.btn-Sesuai.active,
.btn-Sesuai:active,
.open>.btn-Sesuai.dropdown-toggle {
    background-image: none
}

.btn-Sesuai.disabled.focus,
.btn-Sesuai.disabled:focus,
.btn-Sesuai.disabled:hover,
.btn-Sesuai[disabled].focus,
.btn-Sesuai[disabled]:focus,
.btn-Sesuai[disabled]:hover,
fieldset[disabled] .btn-Sesuai.focus,
fieldset[disabled] .btn-Sesuai:focus,
fieldset[disabled] .btn-Sesuai:hover {
    background-color: #669999; /* 65% */
    border-color: #5c8a8a /* 60% */
}

.btn-Sesuai .badge {
    color: #fff; 
    background-color: #669999 /* 65% */
}

/* button pelihara */
.btn-pelihara {
    color: #fff;
    background-color: #739849; /* 65% */
    border-color: #688a42   /* 60% */
}

.btn-pelihara.focus,
.btn-pelihara:focus {
    color: #fff;
    background-color: #5b783a; /* 55% */
    border-color: #415629   /* 35% */
}

.btn-pelihara.active,
.btn-pelihara:active,
.btn-pelihara:hover,
.open>.btn-pelihara.dropdown-toggle {
    color: #fff;
    background-color: #5b783a; /* 55% */
    border-color: #4e6732/* 50% */
}

.btn-pelihara.active.focus,
.btn-pelihara.active:focus,
.btn-pelihara.active:hover,
.btn-pelihara:active.focus,
.btn-pelihara:active:focus,
.btn-pelihara:active:hover,
.open>.btn-pelihara.dropdown-toggle.focus,
.open>.btn-pelihara.dropdown-toggle:focus,
.open>.btn-pelihara.dropdown-toggle:hover {
    color: #fff;
    background-color: #4e6732; /* 50% */
    border-color: #415629 /* 35% */
}

.btn-pelihara.active,
.btn-pelihara:active,
.open>.btn-pelihara.dropdown-toggle {
    background-image: none
}

.btn-pelihara.disabled.focus,
.btn-pelihara.disabled:focus,
.btn-pelihara.disabled:hover,
.btn-pelihara[disabled].focus,
.btn-pelihara[disabled]:focus,
.btn-pelihara[disabled]:hover,
fieldset[disabled] .btn-pelihara.focus,
fieldset[disabled] .btn-pelihara:focus,
fieldset[disabled] .btn-pelihara:hover {
    background-color: #739849; /* 65% */
    border-color: #688a42 /* 60% */
}

.btn-pelihara .badge {
    color: #fff; 
    background-color: #739849 /* 65% */
}


/* btn biru dongker */
.btn-dongker {
    color: #fff;
    background-color: #0b01fb; /* 65% */
    border-color: #0b01f2   /* 60% */
}

.btn-dongker.focus,
.btn-dongker:focus {
    color: #fff;
    background-color: #4944d0; /* 55% */
    border-color: #4944d5   /* 35% */
}

.btn-dongker.active,
.btn-dongker:active,
.btn-dongker:hover,
.open>.btn-dongker.dropdown-toggle {
    color: #fff;
    background-color: #4944d1; /* 55% */
    border-color: #4944d2 /* 50% */
}

.btn-dongker.active.focus,
.btn-dongker.active:focus,
.btn-dongker.active:hover,
.btn-dongker:active.focus,
.btn-dongker:active:focus,
.btn-dongker:active:hover,
.open>.btn-dongker.dropdown-toggle.focus,
.open>.btn-dongker.dropdown-toggle:focus,
.open>.btn-dongker.dropdown-toggle:hover {
    color: #fff;
    background-color: #4944d3; /* 50% */
    border-color: #4944d4 /* 35% */
}

.btn-dongker.active,
.btn-dongker:active,
.open>.btn-dongker.dropdown-toggle {
    background-image: none
}

.btn-dongker.disabled.focus,
.btn-dongker.disabled:focus,
.btn-dongker.disabled:hover,
.btn-dongker[disabled].focus,
.btn-dongker[disabled]:focus,
.btn-dongker[disabled]:hover,
fieldset[disabled] .btn-dongker.focus,
fieldset[disabled] .btn-dongker:focus,
fieldset[disabled] .btn-dongker:hover {
    background-color: #a6a6a6; /* 65% */
    border-color: #999999 /* 60% */
}

.btn-dongker .badge {
    color: #a6a6a6; /* 65% */
    background-color: #fff
}

.label-BG {
    color: #fff;
    background-color: #9acd18; /* 65% */
    border-color: #89b715   /* 60% */
}